openmeetings-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stephen Cottham" <Stephen.Cott...@robertbird.com.au>
Subject RE: OM's install error
Date Mon, 10 Jun 2013 07:00:05 GMT
George,

BTW - you are using an ancient version of the doc, the most recent I updated in February -
08/02/2013.

At this point its worth just waiting for the new one to be done for Debian to include the
h264 components and updates, I'm just checking the Ubuntu guide at the moment and will move
onto the Debian install, had little time recently as ive been caught up with Global Exchange
rollouts taking the majority of my awake hours.. I'll make some time thou and get them posted
shortly.

Cheers



-----Original Message-----
From: Stephen Cottham [mailto:Stephen.Cottham@robertbird.com.au] 
Sent: 10 June 2013 07:52
To: user@openmeetings.apache.org
Subject: RE: OM's install error

I'll take a look and run thru them and update as I go.

Cheers





-----Original Message-----
From: George Kirkham [mailto:gkirkham@co2crc.com.au]
Sent: 10 June 2013 05:46
To: user@openmeetings.apache.org
Subject: RE: OM's install error

Stephen,

Did you see my comments from a few weeks ago about changes for the guides ?

using the “Installing OM2.x On Debian64 - Headless.pdf (Debian Squeeze) - Updated 29/7/2012”
instructions.  

Are there more recent Debian instructions that I should have been using ?

https://cwiki.apache.org/OPENMEETINGS/tutorials-related-to-openmeetings.html

I had difficulty copy text from the PDF, not sure why.  I had no issues copying text from
 previously saved PDFs.

I also found some things that might be missing (or I could have missed them), and a few things
have changed (and of course will keep changing).

Debian Multimedia has changed its address deb http://deb-multimedia.org squeeze main

I had to add the Debian Multimedia Keyring (and the web site address has changed from what
I last had)

Now we add the key ring, and the reload the catalogue # apt-get install deb-multimedia-keyring
# apt-get update


I am not quite sure where to get the OpenMeetings 2.1.1 version from, but I used this url
(the source is on the same page); wget  https://builds.apache.org/job/Openmeetings%202.1/lastSuccessfulBuild/artifact/2.1/dist/apache-openmeetings-2.1.1.r1487794-30-05-2013_0922.tar.gz

I found that this “svn checkout https://svn.apache.org/repos/asf/openmeetings/trunk/singlewebapp/”
returned the 3.0.0 version.

# svn checkout https://svn.apache.org/repos/asf/incubator/openmeetings/trunk/singlewebapp/
svn: Repository moved permanently to 'https://svn.apache.org/repos/asf/openmeetings/trunk/singlewebapp';
please relocate

# svn checkout https://svn.apache.org/repos/asf/openmeetings/trunk/singlewebapp/


I had to locate and add a mysql-converter from http://www.mysql.com/downloads/connector/j/

tar -zxvf mysql-connector-java-5.1.25.tar.gz
cp /usr/adm/mysql-connector-java-5.1.25/mysql-connector-java-5.1.25-bin.jar /usr/lib/red5/webapps/openmeetings/WEB-INF/lib/

I was not sure which ANT version to use 1.8.4 or 1.9.1, however I used 1.9.1 and it worked
very well. I had trouble finding an repository which still had 1.8.4 but was able to locate
a site that did have it.

# wget http://mirror.overthewire.com.au/pub/apache//ant/binaries/apache-ant-1.9.1-bin.tar.gz

http://mirror.mel.bkb.net.au/pub/apache//ant/binaries/apache-ant-1.9.1-bin.tar.gz

http://archive.apache.org/dist/ant/binaries/

http://archive.apache.org/dist/ant/binaries/apache-ant-1.8.4-bin.tar.gz

/usr/adm/om/singlewebapp# /usr/adm/apache-ant-1.9.1/bin/ant -Ddb=mysql

dist:

BUILD SUCCESSFUL
Total time: 26 minutes 18 seconds

Thanks,




-----Original Message-----
From: Stephen Cottham [mailto:Stephen.Cottham@robertbird.com.au]
Sent: Sunday, 9 June 2013 11:02 PM
To: user@openmeetings.apache.org
Subject: RE: OM's install error

Seems there are some issues with the old guide... I just tested it, I'll take a proper look
tomorrow and fix and update accordingly.

Cheers



-----Original Message-----
From: Stephen Cottham [mailto:Stephen.Cottham@robertbird.com.au]
Sent: 09 June 2013 12:47
To: user@openmeetings.apache.org
Subject: RE: OM's install error

Actually "Step 6: Install x264" - installs the relevant dependencies for H264 from git, I
believe apt-get version will not work correctly hence building from source.

I wrote that guide in February so maybe something is broken along the way, I will check but
last time I built it with ran fine.



Stephen Cottham
Group IT Manager (Associate)

Robert Bird Group
Level 5, 333 Ann St
Brisbane, Queensland, 4000, Australia
Phone: +6173 319 2777 (AUS)
Phone: +44207 633 2880 (UK)
Fax: +6173 319 2799
 
Mobile:  +61400 756 963 (AUS)
Mobile:  +447900 918 616 (UK)
Web: www.robertbird.com


This email and any attachments are confidential and may contain legally privileged information
or copyright material. Unless expressly stated, confidentiality and/or legal privilege is
not intended to be waived by the sending of this email. The contents of this email, including
any attachments, are intended solely for the use of the individual or entity to whom they
are addressed. If you are not an intended recipient, please contact us immediately by return
email and then delete both messages. You may not otherwise read, forward, copy, use or disclose
this email or any attachments. Any views expressed in this email are those of the individual
sender except where the sender expressly, and with authority, states otherwise. It is your
responsibility to check any attachments for viruses or defects before opening or sending them
on. None of the sender or its related entities accepts any liability for any consequential
damage resulting from this email containing computer viruses. 

Disclaimer added by CodeTwo Exchange Rules	
http://www.codetwo.com	

-----Original Message-----
From: Steve M. Baumgartner [mailto:steve@smbcomputers.net]
Sent: 08 June 2013 18:56
To: user@openmeetings.apache.org
Subject: RE: OM's install error

yes, that did the trick. too bad that's not in the directions in the walkthru for 12.10 x64.
Would have saved me from trying 2 different times on fresh installs.

Steve Baumgartner
Owner
SMB Computers
O: +1 614 489 9740
M: +1 614 743 3166
Grove City, Ohio, USA
steve@smbcomputers.net

This e-mail and any files transmitted with it are confidential and intended solely for the
use of the individual or entity to whom they are addressed.
If you have received this e-mail in error please notify the sender immediately.

-----Original Message-----
From: Alvaro [mailto:zurcamos@gmail.com]
Sent: Saturday, June 08, 2013 2:02 PM
To: user@openmeetings.apache.org
Subject: Re: OM's install error

Hi Steve,

Must install:

sudo apt-get install libx264-dev


Regards

Alvaro


............

El sáb, 08-06-2013 a las 12:59 -0400, Steve M. Baumgartner escribió:
> when running
> 
> Download, compile and install ffmpeg by issuing these commands:
> 
> wget http://ffmpeg.org/releases/ffmpeg-1.1.3.tar.gz
> 
> tar -zxvf ffmpeg-1.1.3.tar.gz
> 
> cd ffmpeg-1.1.3
> 
> ./configure --enable-gpl --enable-libass --enable-libfaac 
> --enable-libfdk-aac \
> 
> --enable-libmp3lame --enable-libopencore-amrnb 
> --enable-libopencore-amrwb \
> 
> --enable-libspeex --enable-librtmp --enable-libtheora 
> --enable-libvorbis \
> 
> --enable-libvpx --enable-x11grab --enable-libx264 --enable-nonfree
> --enable-version3 \
> 
> --enable-libxvid --enable-libgsm
> 
>  
> 
> I'm getting error
> 
>  
> 
> ERROR: libx264 not found
> 
>  
> 
> Steve Baumgartner
> 
> Owner
> 
> SMB Computers
> 
> O: +1 614 489 9740
> 
> M: +1 614 743 3166
> 
> Grove City, Ohio, USA
> 
> steve@smbcomputers.net
> 
>  
> 
>   This e-mail and any files transmitted with it are confidential and 
> intended solely for the use of the individual or entity to whom they
>                             are addressed.
>   If you have received this e-mail in error please notify the sender
>                              immediately.
> 
>  
> 
> 



Mime
View raw message